<?php

/**
 * The plugin bootstrap file
 *
 * This file is read by WordPress to generate the plugin information in the plugin
 * admin area. This file also includes all of the dependencies used by the plugin,
 * registers the activation and deactivation functions, and defines a function
 * that starts the plugin.
 *
 * @link              https://orbicular.media
 * @since             1.0.0
 * @package           Cemetery_Sexton
 *
 * @wordpress-plugin
 * Plugin Name:       Cemetery Sexton
 * Plugin URI:        https://riversidecemetery.com
 * Description:       This plugin connects the Cemetery Sexton database to WordPress. Genealogy Search.
 * Version:           1.1.2
 * Author:            Bryan Meeks
 * Author URI:        https://orbicular.media
 * License:           GPL-2.0+
 * License URI:       http://www.gnu.org/licenses/gpl-2.0.txt
 * Text Domain:       cemetery-sexton
 * Domain Path:       /languages
 */

// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

/**
 * Currently plugin version.
 * Start at version 1.0.0 and use SemVer - https://semver.org
 * Rename this for your plugin and update it as you release new versions.
 */
define( 'CEMETERY_SEXTON_VERSION', '1.1.2' );

/**
 * The code that runs during plugin activation.
 * This action is documented in includes/class-cemetery-sexton-activator.php
 */
function activate_cemetery_sexton() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-cemetery-sexton-activator.php';
	Cemetery_Sexton_Activator::activate();
}

/**
 * The code that runs during plugin deactivation.
 * This action is documented in includes/class-cemetery-sexton-deactivator.php
 */
function deactivate_cemetery_sexton() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-cemetery-sexton-deactivator.php';
	Cemetery_Sexton_Deactivator::deactivate();
}

register_activation_hook( __FILE__, 'activate_cemetery_sexton' );
register_deactivation_hook( __FILE__, 'deactivate_cemetery_sexton' );

/**
 * The core plugin class that is used to define internationalization,
 * admin-specific hooks, and public-facing site hooks.
 */
require plugin_dir_path( __FILE__ ) . 'includes/class-cemetery-sexton.php';

/**
 * Begins execution of the plugin.
 *
 * Since everything within the plugin is registered via hooks,
 * then kicking off the plugin from this point in the file does
 * not affect the page life cycle.
 *
 * @since    1.0.0
 */
function run_cemetery_sexton() {

	$plugin = new Cemetery_Sexton();
	$plugin->run();

}
run_cemetery_sexton();
